Subject: Re: bug#45418: [PATCH] gnu: Add yakuake.

From: Christopher Baines <[email-masked]>
Date: Thu, 31 Dec 2020 22:27:16 +0000

Z572 <[email-masked]> writes:

> Hello,
>
>> I didn't manage to run yakuake, I get the following output, did it run
>> for you?
> It runs in me this.
>
> → /gnu/store/0ghk33y9fac24shyq3rwkzp7kg30d9bm-yakuake-20.12.0/bin/yakuake
> Couldn't start kglobalaccel from org.kde.kglobalaccel.service: QDBusError("org.freedesktop.DBus.Error.ServiceUnknown", "The name org.kde.kglobalaccel was not provided by any .service files")
> QSystemTrayIcon::setVisible: No Icon set
>
>
>
> If want a global hotkey, need to run `kglobalaccel5' , otherwise can
> click the TRAY icon or run `Yakuake' again.

Ok, I've gone ahead and pushed this patch to master as
f59bfc11175c838fe949f1a699d98a1df82dc337. Thanks!

I still had some unreliability locally, but maybe that's because I'm
running Gnome, I'm unsure.

I also changed the license to GPL v2+ and tweaked the description.

Thanks again,

Chris